#!/bin/sh

depmod -a
modprobe agpgart
modprobe i2c-core
modprobe nvidia
 
#fix xorg.conf, xorg.conf0 and xorg.conf-auto-pc
(cd /etc/X11/
 for i in xorg.conf xorg.conf0 xorg.conf-auto-pc
  do LINE=$(grep LOADGLX $i)
	NEWLINE="\tLoad\t\t\"glx\" #LOADGLX"
	sed -i "s|$LINE|$NEWLINE|" $i
  done)

. /etc/rc.d/PUPSTATE
[ $PUPMODE = 5 ]&& Xdialog --icon /usr/share/doc/NVIDIA_GLX-1.0/nvidia-settings.png --msgbox "Please create a save file before configuring the nvidia driver \nWrite the following down: \n\ndrop to text mode\n *Menu>Shutdown>Exit to Prompt \n *Then run: \nxorgwizard \n\nthen choose NVIDIA in the list \nand 'reboot' when prompted to restart your machine" 0 0 && exit
if [ -f /usr/share/doc/NVIDIA_GLX-1.0/nvidia-settings.png ];then
echo '<window title="nVidia Video Driver">
  <vbox>
  <pixmap><input file>/usr/share/doc/NVIDIA_GLX-1.0/nvidia-settings.png</input></pixmap>
  <text use-markup="true"><label>"The nvidia driver is installed. Please drop to text mode: <b>Menu, Shutdown, Exit to Prompt</b>, Then run:"</label></text>
  <text use-markup="true"><label>"<big><big>xorgwizard</big></big>"</label></text>
  <text use-markup="true"><label>"In <b>xorgwizard</b> choose <big>NVIDIA</big> from the list"</label></text>
  <text use-markup="true"><label>"then <b>reboot</b> when prompted"</label></text>
  <hbox homogeneous="true"><button ok></button></hbox>
  </vbox></window>'|gtkdialog -s
	else 
Xdialog --msgbox "The nvidia driver failed to install" 0 0
fi
